Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin

Sagi, Tomer

Hi,

I have a complex maven project that includes both java and groovy code I wanted to work on in Eclipse.

Current state:

Eclipse Juno

M2E (pre-installed on Juno)

Maven 3.2.3

Latest groovy-eclipse (2.9.1 I think)

I edited the pom file of one of the modules that had groovy code in it to remove gmaven and replace it with groovy-eclipse.

Here is the code I put in:

                <plugins>

              <plugin>

                     <artifactId>maven-compiler-plugin</artifactId>

                     <version>3.1</version>

                     <configuration>

                           <compilerId>groovy-eclipse-compiler</compilerId>

                                  <!-- set verbose to be true if you want lots of uninteresting messages -->

                                  <!-- <verbose>true</verbose> -->

                     </configuration>

                     <dependencies>

                           <dependency>

                                  <groupId>org.codehaus.groovy</groupId>

                                  <artifactId>groovy-eclipse-compiler</artifactId>

                                  <version>2.8.0-01</version>

                           </dependency>

                           <dependency>

                                  <groupId>org.codehaus.groovy</groupId>

                                  <artifactId>groovy-eclipse-batch</artifactId>

                                  <version>2.1.8-01</version>

                           </dependency>

                     </dependencies>

              </plugin>

 

I’m getting the following error when running mvn clean install on the parent project:

Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project titan-test: Compilation failure

 

Here  is the full trace: http://pastebin.com/kngK8MUM

 

The problem may be related to version management of the compile plugin at the parent pom:

 

<pluginManagement>

            <plugins>

                <plugin>

                    <artifactId>maven-compiler-plugin</artifactId>

                    <version>2.5.1</version>

                    <configuration>

                        <source>${compiler.source}</source>

                        <target>${compiler.target}</target>

                        <compilerArgument>${compiler.args}</compilerArgument>

                    </configuration>

                </plugin>

 

Any ideas?

Thanks

Tomer

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin

Kris De Volder
I don't have much of an idea. But indeed we test this with maven-compiler-plugin 3.1 I suspect 2.5.1 is not compatible.
So try using more recent version of maven-compiler-plugin.

On Thu, Sep 11, 2014 at 6:30 AM, Sagi, Tomer <[hidden email]> wrote:

Hi,

I have a complex maven project that includes both java and groovy code I wanted to work on in Eclipse.

Current state:

Eclipse Juno

M2E (pre-installed on Juno)

Maven 3.2.3

Latest groovy-eclipse (2.9.1 I think)

I edited the pom file of one of the modules that had groovy code in it to remove gmaven and replace it with groovy-eclipse.

Here is the code I put in:

                <plugins>

              <plugin>

                     <artifactId>maven-compiler-plugin</artifactId>

                     <version>3.1</version>

                     <configuration>

                           <compilerId>groovy-eclipse-compiler</compilerId>

                                  <!-- set verbose to be true if you want lots of uninteresting messages -->

                                  <!-- <verbose>true</verbose> -->

                     </configuration>

                     <dependencies>

                           <dependency>

                                  <groupId>org.codehaus.groovy</groupId>

                                  <artifactId>groovy-eclipse-compiler</artifactId>

                                  <version>2.8.0-01</version>

                           </dependency>

                           <dependency>

                                  <groupId>org.codehaus.groovy</groupId>

                                  <artifactId>groovy-eclipse-batch</artifactId>

                                  <version>2.1.8-01</version>

                           </dependency>

                     </dependencies>

              </plugin>

 

I’m getting the following error when running mvn clean install on the parent project:

Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project titan-test: Compilation failure

 

Here  is the full trace: http://pastebin.com/kngK8MUM

 

The problem may be related to version management of the compile plugin at the parent pom:

 

<pluginManagement>

            <plugins>

                <plugin>

                    <artifactId>maven-compiler-plugin</artifactId>

                    <version>2.5.1</version>

                    <configuration>

                        <source>${compiler.source}</source>

                        <target>${compiler.target}</target>

                        <compilerArgument>${compiler.args}</compilerArgument>

                    </configuration>

                </plugin>

 

Any ideas?

Thanks

Tomer


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin

Sagi, Tomer

3.1 is the compiler that is failing. I changed the version in the plugin management code in the parent pom.xml to match 3.1 version and I’m still getting the same error message.

 

From: Kris De Volder [mailto:[hidden email]]
Sent: Thursday, September 11, 2014 6:56 PM
To: [hidden email]
Subject: Re: [groovy-eclipse-plugin-user] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin

 

I don't have much of an idea. But indeed we test this with maven-compiler-plugin 3.1 I suspect 2.5.1 is not compatible.

So try using more recent version of maven-compiler-plugin.

 

On Thu, Sep 11, 2014 at 6:30 AM, Sagi, Tomer <[hidden email]> wrote:

Hi,

I have a complex maven project that includes both java and groovy code I wanted to work on in Eclipse.

Current state:

Eclipse Juno

M2E (pre-installed on Juno)

Maven 3.2.3

Latest groovy-eclipse (2.9.1 I think)

I edited the pom file of one of the modules that had groovy code in it to remove gmaven and replace it with groovy-eclipse.

Here is the code I put in:

                <plugins>

              <plugin>

                     <artifactId>maven-compiler-plugin</artifactId>

                     <version>3.1</version>

                     <configuration>

                           <compilerId>groovy-eclipse-compiler</compilerId>

                                  <!-- set verbose to be true if you want lots of uninteresting messages -->

                                  <!-- <verbose>true</verbose> -->

                     </configuration>

                     <dependencies>

                           <dependency>

                                  <groupId>org.codehaus.groovy</groupId>

                                  <artifactId>groovy-eclipse-compiler</artifactId>

                                  <version>2.8.0-01</version>

                           </dependency>

                           <dependency>

                                  <groupId>org.codehaus.groovy</groupId>

                                  <artifactId>groovy-eclipse-batch</artifactId>

                                  <version>2.1.8-01</version>

                           </dependency>

                     </dependencies>

              </plugin>

 

I’m getting the following error when running mvn clean install on the parent project:

Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project titan-test: Compilation failure

 

Here  is the full trace: http://pastebin.com/kngK8MUM

 

The problem may be related to version management of the compile plugin at the parent pom:

 

<pluginManagement>

            <plugins>

                <plugin>

                    <artifactId>maven-compiler-plugin</artifactId>

                    <version>2.5.1</version>

                    <configuration>

                        <source>${compiler.source}</source>

                        <target>${compiler.target}</target>

                        <compilerArgument>${compiler.args}</compilerArgument>

                    </configuration>

                </plugin>

 

Any ideas?

Thanks

Tomer

 

Loading...